<script setup>
import GuestLayout from '@/Layouts/GuestLayout.vue';
import axios from "axios";
import {UseAppStore} from "@/Stores/AppStore";
import {onMounted, ref} from "vue";
import _ from 'lodash';

const appStore = UseAppStore();

const props = defineProps({
    post:Object,
})

const postID = props.post.id;

const postLocalStorage = ref([]);

const like = ref(props.post.like)

onMounted(() => {
    if(localStorage.getItem('posts')) {
        try {
            postLocalStorage.value = JSON.parse(localStorage.getItem('posts'));
        } catch(e) {
            localStorage.removeItem('posts');
        }
    }
})

const givelLike = () => {
    if(!_.find(postLocalStorage.value,function (i){
        return i === postID
    })){

    axios.post(route('posts.add.like',{post:props.post.id}))
        .then((res) => {
            like.value = res.data
            postLocalStorage.value.push(postID)
            localStorage.setItem('posts', JSON.stringify(postLocalStorage.value));
        });
    }

}

</script>

<template>
  <guest-layout>
    <main class="main">
    <section class="new">
      <div class="container">
        <div class="new__inner">
          <p class="news__title">Новости</p>
          <div class="new__title">
            <img class="new__img" :src="post.image" :alt="post.title">
            <div class="new__right">
              <p class="new__title-text">{{post.title}}</p>
              <a @click.prevent="givelLike()" class="new__like" href="#">
                <span>Мне нравиться</span>
                <span>{{ like }}</span>
              </a>
              <div class="new__tags">
                <p v-for="(tag,key) of post.tags" :key="key" class="new__tag">
                  {{ tag }}
                </p>
                <!-- <p class="new__tag double">Популярные игры</p> -->
              </div>
            </div>
          </div>
          <p class="new__description">
            <span v-html="post.description"></span>
          </p>
        </div>
      </div>
    </section>
  </main>
  </guest-layout>
</template>
<style>
.new__description span a{
    color: #FF7B27;
}
</style>
